#
# spec file for package python-certbot-apache
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-certbot-apache
Version:        0.30.2
Release:        lp151.1.1
Summary:        Apache plugin for Certbot
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/letsencrypt/letsencrypt
Source:         https://files.pythonhosted.org/packages/source/c/certbot-apache/certbot-apache-%{version}.tar.gz
BuildRequires:  %{python_module augeas}
BuildRequires:  %{python_module certbot >= 0.26.0}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module zope.component}
BuildRequires:  %{python_module zope.interface}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       apache2
Requires:       augeas-lenses
Requires:       python-acme >= 0.25.0
Requires:       python-augeas
Requires:       python-certbot >= 0.26.0
Requires:       python-zope.component
Requires:       python-zope.interface
BuildArch:      noarch
%python_subpackages

%description
The Apache plugin for Certbot.

%prep
%setup -q -n certbot-apache-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Tue Jan 29 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.30.2:
  * Various small fixes
* Fri Nov 16 2018 Marketa Calabkova <mcalabkova@suse.com>
- update to version 0.28.0
  * Stop preferring TLS-SNI.
  * The grammar used by Augeas parser in Apache plugin was updated
    to fix various parsing errors.
* Fri Sep 14 2018 Marketa Calabkova <mcalabkova@suse.com>
- update to version 0.27.1
  * parameter name in OpenSUSE overrides for default parameters
  * several other fixes
* Mon Sep  3 2018 Marketa Calabkova <mcalabkova@suse.com>
- Update runtime requirements
* Wed Aug 29 2018 mcalabkova@suse.com
- Packaged license and readme
* Wed Aug 29 2018 mcalabkova@suse.com
- Split the module from the main certbot package
